## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:       bcal
Version:    2.4
Release:    %autorelease
Summary:    Storage conversion and expression calculator

License:    GPL-3.0-or-later
URL:        https://github.com/jarun/bcal
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# Only available for 64bits system
ExclusiveArch: x86_64 aarch64 ia64 ppc64 ppc64le s390x riscv64

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  readline-devel

%description
bcal (Byte CALculator) is a command-line utility for storage conversions
and calculations. Storage, hardware and firmware developers work
with numerical calculations regularly e.g., storage unit conversions,
address calculations etc. If you are one and can't calculate the hex address
offset for (512 - 16) MiB immediately, or the value when the 43rd bit of
a 64-bit address is set, bcal is for you

%prep
%autosetup -p1 -n %{name}-%{version}
sed -i '/STRIP ?= strip/d;s/install: bcal/install: /;s/$(CFLAGS)/$(CFLAGS) $(LDFLAGS)/' Makefile

%build
export CFLAGS="-fPIC %{optflags}"
export LDFLAGS="%{?__global_ldflags}"
%make_build bcal

%install
%make_install PREFIX=%{_prefix}

%files
%doc CHANGELOG README.md
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%changelog
## START: Generated by rpmautospec
* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Feb 23 2024 JasenChao <JasenChao@gmail.com> - 2.4-8
- Add riscv64 support.

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Sep 15 2023 Vojtech Trefny <vtrefny@redhat.com> - 2.4-5
- License string changed to the SPDX format

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jan 24 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.4-1
- Update to 2.4

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.3-1
- Update to 2.3 Close: rhbz#2014565

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 11 18:02:21 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.2-1
- Update to 2.2 (#1788743)

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Feb 21 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.1-4
- Fix bug related to GCC 9.0

* Sun Feb 17 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1-3
- Rebuild for readline 8.0

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Dec 12 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.1-1
- Release 2.1

* Wed Oct 03 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.0-1
- Release 2.0

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon May 21 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.9-1
- Release 1.9

* Mon Mar 12 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.8-1
- Release 1.8

* Sat Feb 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.7-1
- First RPM release

## END: Generated by rpmautospec
